yet another compatibility fix

Tue, 13 Aug 2019 21:54:17 +0200

author
Olaf Wintermann <olaf.wintermann@gmail.com>
date
Tue, 13 Aug 2019 21:54:17 +0200
changeset 12
a775e493d340
parent 11
215b49563679
child 13
cdf8bf4549c4

yet another compatibility fix

test/configure file | annotate | diff | comparison | revisions
test/make/configure.vm file | annotate | diff | comparison | revisions
--- a/test/configure	Tue Aug 13 21:49:10 2019 +0200
+++ b/test/configure	Tue Aug 13 21:54:17 2019 +0200
@@ -259,7 +259,8 @@
         if [ -z "$PKG_CONFIG" ]; then
         	break
         fi
-        if ! $PKG_CONFIG libpq ; then
+		$PKG_CONFIG libpq
+        if [ $? -ne 0 ] ; then
             break
         fi
         CFLAGS="$CFLAGS `$PKG_CONFIG --cflags libpq`"
@@ -280,7 +281,8 @@
         if [ -z "$PKG_CONFIG" ]; then
         	break
         fi
-        if ! $PKG_CONFIG openssl ; then
+		$PKG_CONFIG openssl
+        if [ $? -ne 0 ] ; then
             break
         fi
         CFLAGS="$CFLAGS `$PKG_CONFIG --cflags openssl`"
@@ -301,7 +303,8 @@
         if [ -z "$PKG_CONFIG" ]; then
         	break
         fi
-        if ! $PKG_CONFIG libxml-2.0 ; then
+		$PKG_CONFIG libxml-2.0
+        if [ $? -ne 0 ] ; then
             break
         fi
         CFLAGS="$CFLAGS `$PKG_CONFIG --cflags libxml-2.0`"
--- a/test/make/configure.vm	Tue Aug 13 21:49:10 2019 +0200
+++ b/test/make/configure.vm	Tue Aug 13 21:54:17 2019 +0200
@@ -359,7 +359,8 @@
         fi
         #end
         #foreach( $pkg in $sub.pkgconfig )
-        if ! $PKG_CONFIG $pkg.getPkgConfigParam() ; then
+		$PKG_CONFIG $pkg.getPkgConfigParam()
+        if [ $? -ne 0 ] ; then
             break
         fi
         CFLAGS="$CFLAGS `$PKG_CONFIG --cflags $pkg.getPkgConfigParam()`"
@@ -428,7 +429,8 @@
         #end
         #foreach( $pkg in $dependency.pkgconfig )
         printf "checking for pkg-config package $pkg.getPkgConfigParam()... "
-        if ! $PKG_CONFIG $pkg.getPkgConfigParam() ; then
+		$PKG_CONFIG $pkg.getPkgConfigParam()
+        if [ $? -ne 0 ]; then
             echo no
             ERROR=1
             break

mercurial